# Upload Model This API allows users to upload a pre-trained tailored model to Bria’s infrastructure, and run them within Bria’s ecosystem. Important Note:: If you wish to upload a FIBO-based model, contact us for support. Model has to be in .safetensors format. Maximum model size supported is 3GB. You can find out the model's status by using the /tailored-gen/models/{model_id} route. Potential statuses are: "syncing" or "completed". Endpoint: POST /tailored-gen/models/upload_model ## Header parameters: - `api_token` (string, required) API authentication token. ## Request fields (application/json): - `model_url` (string, required) URL of the tailored model file to be uploaded. - `training_version` (string, required) Training version Enum: "bria-2.3", "bria-3.2" - `model_name` (string) Name of the new tailored model. - `caption_prefix` (string) Words automatically appended to prompts when running the model. - `project_id` (integer) ID of the project the model should be assigned to. If omitted, a new project will be created. - `project_parameters` (object) Parameters for creating a new project, required only if project_id is not provided. - `project_parameters.project_name` (string) Name of the project. - `project_parameters.ip_medium` (string) Medium of the IP. Enum: "photography", "illustration" - `project_parameters.project_description` (string) Description of the project. - `project_parameters.ip_type` (string) Type of IP for the project. Enum: "multi_object_set", "object_variants", "icons", "defined_character", "character_variants", "stylized_scene", "other" ## Response 200 fields (application/json): - `id` (integer) - `name` (string) - `description` (string) - `status` (string) - `training_version` (string) - `generation_prefix` (string) - `project_id` (integer) - `dataset_id` (integer) - `created_at` (string) ## Response 400 fields ## Response 404 fields ## Response 415 fields ## Response 422 fields ## Response 429 fields ## Response 500 fields